## com.baidubce.services.media.model
Class VideoInfo

    java.lang.Object
      com.baidubce.services.media.model.VideoInfo

    public class VideoInfo

extends Object

Constructor Summary
`VideoInfo()`

Method Summary
`Integer` `getBitRateInBps()` 视频媒体的码流
`String` `getCodec()` 视频文件的编码规格
`Integer` `getFrameRate()` 视频媒体的帧率
`Integer` `getHeightInPixel()` 视频高度
`Integer` `getWidthInPixel()` 视频宽度
`void` `setBitRateInBps(Integer bitRateInBps)`
`void` `setCodec(String codec)`
`void` `setFrameRate(Integer frameRate)`
`void` `setHeightInPixel(Integer heightInPixel)`
`void` `setWidthInPixel(Integer widthInPixel)`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### VideoInfo

    public VideoInfo()

Method Detail

### getCodec

    public String getCodec()

  视频文件的编码规格

### setCodec

    public void setCodec(String codec)

### getHeightInPixel

    public Integer getHeightInPixel()

  视频高度

### setHeightInPixel

    public void setHeightInPixel(Integer heightInPixel)

### getWidthInPixel

    public Integer getWidthInPixel()

  视频宽度

### setWidthInPixel

    public void setWidthInPixel(Integer widthInPixel)

### getBitRateInBps

    public Integer getBitRateInBps()

  视频媒体的码流

### setBitRateInBps

    public void setBitRateInBps(Integer bitRateInBps)

### getFrameRate

    public Integer getFrameRate()

  视频媒体的帧率

### setFrameRate

    public void setFrameRate(Integer frameRate)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2016. All rights reserved.